Magic Embed
Update Magic Embed settings
Enable or update Magic Embed for a project. Set enabled and allowed_domains to control where the Magic Embed script can ingest content.
PUT
/
projects
/
{project_id}
/
integrations
/
client_side
Update Magic Embed settings
curl --request PUT \
--url https://api.beyondwords.io/v1/projects/{project_id}/integrations/client_side \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"enabled": true,
"allowed_domains": [
"<string>"
]
}
'import requests
url = "https://api.beyondwords.io/v1/projects/{project_id}/integrations/client_side"
payload = {
"enabled": True,
"allowed_domains": ["<string>"]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, allowed_domains: ['<string>']})
};
fetch('https://api.beyondwords.io/v1/projects/{project_id}/integrations/client_side', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": false,
"allowed_domains": [
"example.com",
"m.example.com"
],
"created": "2023-01-01 00:00:00 UTC",
"updated": "2023-01-01 00:00:00 UTC"
}Enable or update Magic Embed for a project. Set
enabled and allowed_domains to control where the Magic Embed script can ingest content.
See the Magic Embed guide for setup instructions.Authorizations
Path Parameters
The numeric ID of your project
Response
200 - application/json
successful
Whether or not the client side integration should be enabled. Disabled by default.
The list of domains from which to import content into the BeyondWords platform.
Time at which the object was created (ISO 8601)
Time at which the object was updated (ISO 8601)
Was this page helpful?
⌘I
Update Magic Embed settings
